## libpam-net 0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project("libpam-net"
		VERSION 0.3
		DESCRIPTION "create/join network namespaces at login"
		HOMEPAGE_URL "https://github.com/rd235/libpam-net"
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

unset(NLINLINE_INCLUDE CACHE)
check_include_file(nlinline.h NLINLINE_INCLUDE)
if(NOT NLINLINE_INCLUDE)
  message(FATAL_ERROR "*** required nlinline.h include file not found.\nInstall nlinline: https://github.com/virtualsquare/nlinline")
endif()

if(LIBSECURITYDIR)
	set(CMAKE_INSTALL_PAMDIR ${LIBSECURITYDIR})
else()
	set(CMAKE_INSTALL_PAMDIR ${CMAKE_INSTALL_LIBDIR}/security)
endif()

add_library(pam_newnet SHARED pam_newnet.c pam_net_checkgroup.c)
set_target_properties(pam_newnet PROPERTIES PREFIX "")

add_library(pam_usernet SHARED pam_usernet.c pam_net_checkgroup.c)
set_target_properties(pam_usernet PROPERTIES PREFIX "")

install(TARGETS pam_newnet pam_usernet
		DESTINATION ${CMAKE_INSTALL_PAMDIR})

file(GLOB MAN8_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.8)

install(FILES ${MAN8_PAGES}
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man8)

add_custom_target(uninstall
  "${CMAKE_COMMAND}"
    -DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
    -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake"
  )

=== debian/changelog ===
libpam-net (0.3-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New salsa repository

  [ Daniel Gröber ]
  * rules: Enable hardening flags
  * rules: Set LIBSECURITYDIR instead of overriding dh_auto_install
  * watch: Fix filenamemagles filename

  [ Andrea Capriotti ]
  * Close duplicate ITP (Closes: #909908)

 -- Daniel Gröber <deb@dxld.at>  Sun, 16 Aug 2020 14:09:56 +0200

libpam-net (0.2-1) unstable; urgency=medium

  * New version 0.2
  * options: lodown and group
  * rootshared for pam_usernet

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 03 Nov 2019 16:49:23 +0100

libpam-net (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #942721)
  * Thanks to Samuele Evangelisti for his contribution to Debian packaging

 -- Renzo Davoli <renzo@cs.unibo.it>  Thu, 29 Aug 2019 16:57:23 +0200

=== debian/control ===
Source: libpam-net
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>,
 Andrea Capriotti <capriott@debian.org>, Daniel Gröber <deb@dxld.at>
Build-Depends: cmake, libpam0g-dev, debhelper-compat (= 13), nlinline-dev
Standards-Version: 4.5.0
Section: admin
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libpam-net.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libpam-net
Rules-Requires-Root: no


Package: libpam-net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: create/join network namespaces at login
 libpam-net implements two pam modules:
 .
 pam_newnet.so: users belonging to the newnet group get a new network namespace
 at login. lo interface is down.
 .
 pam_usernet.so users belonging to the usernet group get their own network name
 at login. If a network namespace having the same name as the username exists,
 pam runs the user's shell in that namespace. If such a namespace does not
 exist, it is created during the login process.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIBSECURITYDIR=/lib/$(DEB_HOST_MULTIARCH)/security

=== debian/watch ===
version=4
  
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libpam-net-$1.tar.gz%" \
   https://github.com/rd235/libpam-net/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libpam-net 0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,13 @@
 
 add_library(pam_usernet SHARED pam_usernet.c pam_net_checkgroup.c)
 set_target_properties(pam_usernet PROPERTIES PREFIX "")
+target_compile_definitions(pam_usernet PUBLIC PAM_USERNET)
 
-install(TARGETS pam_newnet pam_usernet
+add_library(pam_groupnet SHARED pam_groupnet.c pam_net_checkgroup.c)
+set_target_properties(pam_groupnet PROPERTIES PREFIX "")
+target_compile_definitions(pam_groupnet PUBLIC PAM_GROUPNET)
+
+install(TARGETS pam_newnet pam_usernet pam_groupnet
 		DESTINATION ${CMAKE_INSTALL_PAMDIR})
 
 file(GLOB MAN8_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.8)

=== debian/changelog ===
libpam-net (0.4-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * README: update example (use ip tuntap instead of obsolete tunctl)

  [ nagalun ]
  * Mount /sys/fs/cgroup, and continue if /etc/netns/<name> doesn't
    exist.
  * Add the pam_groupnet module. Allows one to specify which netns to join.

  [ Renzo Davoli ]
  * optimize code for pam_usernet and pam_groupnet

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 24 Mar 2025 17:39:57 +0100

libpam-net (0.3-2) unstable; urgency=medium

  * Fix Daniel Gröber e-mail address
  * Bump Standards-Version to 4.6.1, no changes needed.
  * d/copyright: Update Debian copyright

 -- Andrea Capriotti <capriott@debian.org>  Sun, 14 Aug 2022 16:17:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>,
- Andrea Capriotti <capriott@debian.org>, Daniel Gröber <deb@dxld.at>
+ Andrea Capriotti <capriott@debian.org>, Daniel Gröber <dxld@darkboxed.org>
 Build-Depends: cmake, libpam0g-dev, debhelper-compat (= 13), nlinline-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Section: admin
 Homepage: http://www.virtualsquare.org/
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/libpam-net.git
@@ -21,7 +21,13 @@
  pam_newnet.so: users belonging to the newnet group get a new network namespace
  at login. lo interface is down.
  .
- pam_usernet.so users belonging to the usernet group get their own network name
+ pam_usernet.so: users belonging to the usernet group get their own network name
  at login. If a network namespace having the same name as the username exists,
  pam runs the user's shell in that namespace. If such a namespace does not
  exist, it is created during the login process.
+ .
+ pam_groupnet.so: users belonging to any group starting with groupnet-
+ join the network namespace named after the dash of the group.
+ If the specified network namespace exists, pam runs the user shell in that
+ namespace. If such a namespace does does not exist, it is created during the
+ login process.

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DLIBSECURITYDIR=/lib/$(DEB_HOST_MULTIARCH)/security
+		-DLIBSECURITYDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/security
